package com.zj365.mime.weight

import android.content.Context
import android.view.View
import com.xty.base.dialog.BaseDialog
import com.zj365.mime.databinding.DialogConfirmBinding

class ConfirmDialog(context: Context,val confirm :()->Unit): BaseDialog(context) {
    val binding by lazy{DialogConfirmBinding.inflate(layoutInflater)}
    override fun setLayout()=binding.root
    override fun initView() {
        super.initView()
        setDialogPadding(40,0,40,0)
        setCanceledOnTouchOutside(false)
        setCancelable(false)
        binding.mTvConfirm.setOnClickListener {
            confirm.invoke()
            dismiss()
        }
    }

}